/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/std/memory.hpp>

#include <turbine/context.hpp>

namespace nostalgia::gfx {

class Context;

void safeDelete(Context *ctx) noexcept;

keel::Context &keelCtx(Context &ctx) noexcept;

turbine::Context &turbineCtx(Context &ctx) noexcept;

}

